Skip to main content
PATCH
/
api
/
snoozes
/
{id}
Update Snooze
curl --request PATCH \
  --url https://api.example.com/api/snoozes/{id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": 123,
  "snooze_until": "<string>",
  "description": "<string>",
  "expire_now": true,
  "environment_id": {}
}
'
{
  "data": {
    "snooze": {
      "id": 12,
      "project_id": 4,
      "test_ids": [
        "a30a6eba6312f6b87ea5-55e241fbe3f4b8ae61ee"
      ],
      "snooze_until": "2026-05-01T00:00:00.000Z",
      "description": "Extended — fix delayed to next sprint",
      "created_from_test_run_id": 456,
      "created_by": null,
      "created_at": "2026-03-15T10:30:00.000Z",
      "updated_at": "2026-03-20T14:00:00.000Z",
      "scoped_to_environment_id": null
    }
  }
}
Updates an existing snooze. Use this to extend, expire, or modify a snooze.

Examples

Request

Authorization
string
required
Bearer token for authentication. Format: Bearer <your-api-key>
project_id
number
required
The project ID.
snooze_until
string
ISO 8601 timestamp for when the snooze should expire.
description
string
Description explaining why the tests are snoozed.
expire_now
boolean
Set to true to immediately expire the snooze (sets snooze_until to the current time).
environment_id
number | null
Environment ID to scope the snooze to. Set to null to apply to all environments.

Response

data.snooze
object
The updated snooze object.
{
  "data": {
    "snooze": {
      "id": 12,
      "project_id": 4,
      "test_ids": [
        "a30a6eba6312f6b87ea5-55e241fbe3f4b8ae61ee"
      ],
      "snooze_until": "2026-05-01T00:00:00.000Z",
      "description": "Extended — fix delayed to next sprint",
      "created_from_test_run_id": 456,
      "created_by": null,
      "created_at": "2026-03-15T10:30:00.000Z",
      "updated_at": "2026-03-20T14:00:00.000Z",
      "scoped_to_environment_id": null
    }
  }
}

Extend snooze duration

curl -X PATCH \
  https://dash.empirical.run/api/snoozes/12 \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $EMPIRICALRUN_KEY" \
  -d '{
    "project_id": 4,
    "snooze_until": "2026-05-01T00:00:00.000Z"
  }'

Expire a snooze

curl -X PATCH \
  https://dash.empirical.run/api/snoozes/12 \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $EMPIRICALRUN_KEY" \
  -d '{
    "project_id": 4,
    "expire_now": true
  }'

Update description

curl -X PATCH \
  https://dash.empirical.run/api/snoozes/12 \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $EMPIRICALRUN_KEY" \
  -d '{
    "project_id": 4,
    "description": "Extended — fix delayed to next sprint"
  }'